<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.etl.mapper.EtlWiuWiustMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="entityResultMap" type="org.springblade.modules.etl.entity.EtlWiuWiustDataEntity">
        <result column="WIUST_CD" property="wiustCd"/>
        <result column="WIU_CD" property="wiuCd"/>


    </resultMap>

    <select id="selectList" resultMap="entityResultMap">
        SELECT
        d.WIUST_CD,d.WIU_CD
        FROM
        REL_WIU_WIUST d
        WHERE 1=1
        <if test="entity.wiuCd!=null">
            and d.WIU_CD = #{entity.wiuCd}
        </if>
    </select>
</mapper>